=== modified file 'bashcomp.py'
--- bashcomp.py	2010-04-23 06:49:09 +0000
+++ bashcomp.py	2010-04-30 08:27:50 +0000
@@ -103,7 +103,7 @@
 	if [[ -z $fixedWords ]] && [[ -z $optEnums ]] && [[ $cur != -* ]]; then
 		case $curOpt in
 			tag:*)
-				fixedWords="$(bzr tags | sed 's/  *[^ ]*$//')"
+				fixedWords="$(bzr tags 2>/dev/null | sed 's/  *[^ ]*$//')"
 				;;
 		esac
 	elif [[ $cur == = ]] && [[ -n $optEnums ]]; then

=== modified file 'tests/test_bashcomp.py'
--- tests/test_bashcomp.py	2010-04-30 08:20:03 +0000
+++ tests/test_bashcomp.py	2010-04-30 08:27:50 +0000
@@ -187,7 +187,7 @@
         return s.replace("$(bzr ", "$('%s' " % self.get_bzr_path())
 
     def test_revspec_tag_all(self):
-        wt = self.make_branch_and_tree('.', format='2a')
+        wt = self.make_branch_and_tree('.', format='dirstate-tags')
         wt.branch.tags.set_tag('tag1', 'null:')
         wt.branch.tags.set_tag('tag2', 'null:')
         wt.branch.tags.set_tag('3tag', 'null:')
@@ -195,7 +195,7 @@
                       expect=['tag1', 'tag2', '3tag'])
 
     def test_revspec_tag_prefix(self):
-        wt = self.make_branch_and_tree('.', format='2a')
+        wt = self.make_branch_and_tree('.', format='dirstate-tags')
         wt.branch.tags.set_tag('tag1', 'null:')
         wt.branch.tags.set_tag('tag2', 'null:')
         wt.branch.tags.set_tag('3tag', 'null:')

